summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-04-06 16:49:01 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-04-06 16:51:07 +0200
commitcb230f4a7135769dfd001e86651cb8049187ae3b (patch)
tree3a59636c40918f061dd6ca36c676fac625d096a7 /app-officeext
parentoffice-ext-r1.eclass: EAPI-7 bump (diff)
downloadgentoo-cb230f4a7135769dfd001e86651cb8049187ae3b.tar.gz
gentoo-cb230f4a7135769dfd001e86651cb8049187ae3b.tar.bz2
gentoo-cb230f4a7135769dfd001e86651cb8049187ae3b.zip
app-officeext/ooofbtools: 2.55 version bump, EAPI-7 bump
Closes: https://bugs.gentoo.org/664362 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'app-officeext')
-rw-r--r--app-officeext/ooofbtools/Manifest1
-rw-r--r--app-officeext/ooofbtools/ooofbtools-2.55.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/app-officeext/ooofbtools/Manifest b/app-officeext/ooofbtools/Manifest
index 40ba243c85d..28ceb5013ba 100644
--- a/app-officeext/ooofbtools/Manifest
+++ b/app-officeext/ooofbtools/Manifest
@@ -1,2 +1,3 @@
DIST OOoFBTools-2.52.zip 5650498 BLAKE2B 57a068f1098278bc65d056a98c9047d3391cd732180fb02279d854d10215fec8ef60aa5024e837646738c5ca4f6c60f2205d2311da68eb755ef3427b79c697de SHA512 3da09160422f81be2871e294ddc9397267bf158a6304d23cfa125756c75266d21bb6a6dc5b5ef5feb7afde2979484fd092c555bf14460b43ce215b6c91007e61
DIST OOoFBTools-2.53.zip 5634554 BLAKE2B 38f3b263ca0429611d8ebd6176c75ef74715dd0830482f8f179f8cc8aba0b01f6e0ece75115d7c35eef9be19b5a247f105d49ba511904df763121caeb964b09e SHA512 7b20ae427c1accff68dda335efde5d76d65f254a30b94d7490913949223501ee5e7099ec672a9e82ac1f5a793fa570bc12103fade24eb4ce86cc3f9f16597379
+DIST OOoFBTools-2.55.zip 5272938 BLAKE2B 1f4328e02ad41cfb27803fa6dbf104ecbb3c57c3056d30e02ed6573eb2b4ac9f33447b41eee4e67572b36c81eb0a2c67ea36d1ff006440afd2e7da3d19c0c3a1 SHA512 0a327939e9ee84b964d1bab0795438f0a827086932d3cc2eb4dbc82e34dc85d6653a8836f6a7fb7b983d4fb9e83d56747b472d49d3817f8703cf461a390ad1c5
diff --git a/app-officeext/ooofbtools/ooofbtools-2.55.ebuild b/app-officeext/ooofbtools/ooofbtools-2.55.ebuild
new file mode 100644
index 00000000000..e7c531d9b5c
--- /dev/null
+++ b/app-officeext/ooofbtools/ooofbtools-2.55.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="OOoFBTools"
+OFFICE_EXTENSIONS=( "${MY_PN}.oxt" )
+inherit office-ext-r1
+
+DESCRIPTION="Open/LibreOffice extension for the FictionBook2 format with validation"
+HOMEPAGE="https://sourceforge.net/projects/fbtools/"
+SRC_URI="mirror://sourceforge/fbtools/files/release/${MY_PN}-${PV}.zip"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ app-arch/zip
+ dev-libs/libxml2
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+OFFICE_EXTENSIONS_LOCATION="${S}"
+
+src_prepare() {
+ default
+
+ # Remove Windows cruft
+ pushd "${WORKDIR}/${MY_PN}.oxt" &>/dev/null || die
+ rm -r win32 || die
+ popd &>/dev/null || die
+}
+
+src_install() {
+ office-ext-r1_src_install
+ dodoc ChangeLog*
+}